> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payout

This request allows you to create a payout to transfer funds from your account to another account or recipient.

<Note>
  **Payout Methods Guide**

  To see test guidelines and beneficiary information details that are needed for each integration, please refer to the [Payout Methods guide](#payout-methods-guide).
</Note>


## OpenAPI

````yaml openapi/payouts/create-payout.json POST /payouts
openapi: 3.1.0
info:
  title: payouts
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /payouts:
    post:
      summary: Create Payout
      operationId: create-payout
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - account_id
                - merchant_reference
                - country
                - purpose
                - amount
                - beneficiary
                - withdrawal_method
              properties:
                account_id:
                  type: string
                  description: >-
                    The unique identifier of the account. You find this
                    information on [the Yuno
                    dashboard](https://dashboard.y.uno/) (UUID, 36 chars.).
                  default: '{{account_id}}'
                merchant_reference:
                  type: string
                  description: >-
                    The unique identifier of the merchant's payout (MAX 255; MIN
                    3).
                  default: test-reference
                description:
                  type: string
                  description: The description of the payout (MAX 255; MIN 3).
                country:
                  type: string
                  description: >-
                    Country where the transaction must be processed (MAX 2; MIN
                    2; [ISO 3166-1](country-reference)).
                  enum:
                    - AR
                    - BO
                    - BR
                    - CL
                    - CO
                    - CR
                    - EC
                    - SV
                    - GT
                    - HN
                    - MX
                    - NI
                    - PA
                    - PY
                    - PE
                    - US
                    - UY
                purpose:
                  type: string
                  description: >-
                    Indicates the purpose for the payout. Possible enum values:
                    Check the <a
                    href='https://docs.y.uno/reference/the-payout-object#purposes-list'>Purpose
                    list</a>.
                  enum:
                    - FAMILY_AND_FRIENDS
                    - PERSONAL_TRANSFER
                    - REMITTANCES
                    - PROVIDER_SERVICES
                    - ADVERTISING_SERVICES
                    - REPRESENTATION_SERVICES
                    - ADVISORY_SERVICES
                    - FREELANCER_SERVICES
                    - SUPPLIER
                    - BUSINESS_TO_BUSINESS
                    - MARKETPLACE
                    - PAYROLL
                    - GIFTS_AND_BENEFITS
                    - EXPENSES
                    - CORPORATE_PAYMENT
                    - PURCHASE_OF _PHYSICAL_GOODS
                    - PURCHASE_OF _DIGITAL_GOODS
                    - PURCHASE_OF_SERVICES
                    - INVESTMENTS
                    - CAPITAL_CONTRIBUTION
                    - INVESTMENTS_SHARES
                    - TAXES
                    - LOGISTICS_AND_TRANSPORTATION
                    - DELIVERY
                    - AFFILIATION_PROGRAM
                    - LOANS
                    - REAL_STATE
                    - RENT
                    - TRAVEL_FLIGHTS
                    - TRAVEL_ACCOMMODATIONS
                    - EDUCATION
                    - TUITION_COSTS
                    - TRAININGS
                    - CHARITY
                    - MEDICAL_SERVICES
                    - SAVINGS
                    - RETIREMENT
                    - PENSION
                    - INSURANCE
                    - REWARDS
                    - TRADEMARKS_AND_COPYRIGHT
                    - ENTERTAINMENT
                    - GOVERNMENT
                    - OTHERS
                amount:
                  type: object
                  description: >-
                    Specifies the payout amount object, with the value and
                    currency.
                  required:
                    - value
                    - currency
                  properties:
                    value:
                      type: number
                      description: The payout amount (multiple of 0.0001).
                      default: '100'
                    currency:
                      type: string
                      description: >-
                        The currency used to make the payout. For a full list of
                        currency codes, see [Country
                        reference](/reference/country-reference) (MAX 3; MIN 3;
                        ISO 4217).
                      default: USD
                beneficiary:
                  type: object
                  description: Specifies the beneficiary object with their identification.
                  required:
                    - merchant_beneficiary_id
                    - country
                  properties:
                    merchant_beneficiary_id:
                      type: string
                      description: >-
                        Unique identifier of the recipient defined by the
                        merchant (MAX 255; MIN 1).
                      default: test-beneficiary
                    national_entity:
                      type: string
                      description: >-
                        Beneficiary's national entity type. Individual by
                        default
                      enum:
                        - INDIVIDUAL
                        - ENTITY
                    first_name:
                      type: string
                      description: Beneficiary's name (MAX 80).
                    last_name:
                      type: string
                      description: Beneficiary's last name (MAX 80).
                    legal_name:
                      type: string
                      description: >-
                        Beneficiary's name (MAX 80). Only necessary when
                        national entity is ENTITY.
                    email:
                      type: string
                      description: The beneficiary's email (MAX 255; MIN 3).
                    country:
                      type: string
                      description: >-
                        The beneficiary's country (MAX 2; MIN 2; [ISO
                        3166-1](country-reference)).
                      enum:
                        - AR
                        - BO
                        - BR
                        - CL
                        - CO
                        - CR
                        - EC
                        - SV
                        - GT
                        - HN
                        - MX
                        - NI
                        - PA
                        - PY
                        - PE
                        - US
                        - UY
                    date_of_birth:
                      type: string
                      description: >-
                        The beneficiary's date of birth in the YYYY-MM-DD format
                        (MAX 10; MIN 10).
                    document:
                      type: object
                      description: Beneficiary's national document
                      required:
                        - document_number
                      properties:
                        document_number:
                          type: string
                          description: The document number (MAX 40; MIN 3).
                        document_type:
                          type: string
                          description: >-
                            Document type (MAX 6, MIN 1; [Country
                            reference](country-reference)).
                          enum:
                            - DNI
                            - CI
                            - LC
                            - LE
                            - CUIT
                            - CUIL
                            - PAS
                            - CPF
                            - RG
                            - CNH
                            - CNPJ
                            - RUT
                            - RUN
                            - CC
                            - CE
                            - NIT
                            - DUI
                            - PIC
                            - DPI
                            - IFR
                            - INE
                            - CP
                            - RFC
                            - CURP
                            - CIP
                            - CIC
                            - CUI
                            - RUC
                    phone:
                      type: object
                      description: Beneficiary's cell phone
                      properties:
                        country_code:
                          type: string
                          description: >-
                            The country calling code of the phone (MAX 3; MIN
                            1).  Check the [Country
                            reference](country-reference) to see the phone
                            codes.
                        number:
                          type: string
                          description: >-
                            The phone number, without the country code (MAX 32;
                            MIN 1).
                    address:
                      type: object
                      description: Beneficiary's address
                      properties:
                        address_line_1:
                          type: string
                          description: The primary address line (MAX 255; MIN 3).
                        address_line_2:
                          type: string
                          description: The secondary address line (MAX 255; MIN 1).
                        city:
                          type: string
                          description: >-
                            The city considered for the address (MAX 255; MIN
                            3).
                        country:
                          type: string
                          description: >-
                            The country (MAX 2; MIN 2; [ISO
                            3166-1](country-reference)).
                          enum:
                            - AR
                            - BO
                            - BR
                            - CL
                            - CO
                            - CR
                            - EC
                            - SV
                            - GT
                            - HN
                            - MX
                            - NI
                            - PA
                            - PY
                            - PE
                            - US
                            - UY
                        state:
                          type: string
                          description: >-
                            The state/province from the address (MAX 255; MIN
                            3).
                        zip_code:
                          type: string
                          description: The zipcode for the address (MAX 11; MIN 4).
                withdrawal_method:
                  type: object
                  description: The withdrawal method to make the payout.
                  required:
                    - type
                    - provider_id
                  properties:
                    type:
                      type: string
                      description: Withdrawal method type.
                      enum:
                        - ASTROPAY_PAYOUT
                        - CARD
                        - NEQUI_PAYOUT
                        - PAYPAL_PAYOUT
                        - PIX_PAYOUT
                        - AFIRME_PAYOUT
                        - ECOMMPAY_PAYOUT
                        - QI_PAYOUT
                        - STP_PAYOUT
                        - TRANSFIYA_PAYOUT
                        - UNLIMINT_PAYOUT
                    provider_id:
                      type: string
                      description: The provider to process the payouts with
                      enum:
                        - ASTROPAY
                        - NEQUI
                        - PAYPAL
                        - UNLIMINT
                    vaulted_token:
                      type: string
                      description: >-
                        The vaulted token for a previously stored
                        payment_method. If a payment is created using a
                        vaulted_token (MAX: 64; MIN: 36).
                    original_transaction_id:
                      type: string
                      description: >-
                        Id of the referenced payment transaction. Only for
                        payouts to CARD. (MAX 64; MIN 36)
                    original_payment_id:
                      type: string
                      description: The id of the referenced payment (UUID; 36 chars.).
                    on_hold:
                      type: boolean
                      description: >-
                        Defines if the merchant wants to hold the payout and
                        sets it to be processed later using the Release payout
                        endpoint.
                    detail:
                      type: object
                      description: >-
                        Withdrawal method details. Only the object corresponding
                        to the withdrawal method type is necessary.
                      properties:
                        bank_transfer:
                          type: object
                          description: Bank transfer details to make the payout.
                          required:
                            - code
                          properties:
                            code:
                              type: string
                              description: >-
                                The beneficiary's specific financial institution
                                code (MAX 8).
                            branch:
                              type: string
                              description: >-
                                The beneficiary's specific financial institution
                                branch (MAX 8).
                            branch_digit:
                              type: string
                              description: >-
                                The beneficiary's specific financial institution
                                branch digit (MAX 2).
                            account:
                              type: object
                              description: >-
                                Beneficiary's financial institution account
                                number or financial institution account alias,
                                such as Clabe for MX (MAX 255; MIN 3).
                              required:
                                - number
                              properties:
                                number:
                                  type: string
                                  description: >-
                                    Beneficiary's bank account number or bank
                                    account alias, such as Clabe for MX (MAX
                                    250; MIN 3)
                                digit:
                                  type: string
                                  description: >-
                                    Beneficiary's bank account digit (MAX 250;
                                    MIN 3)
                                type:
                                  type: string
                                  description: Beneficiary's bank account type.
                                  enum:
                                    - CHECKINGS
                                    - SAVINGS
                                    - VISTA
                                    - PIX_EMAIL
                                    - PIX_PHONE
                                    - PIX_DOCUMENT_ID
                                    - PIX_BANK_ACCOUNT
                            address:
                              type: object
                              description: Bank transfer address details
                              properties:
                                address_line_1:
                                  type: string
                                  description: The primary address line (MAX 255; MIN 3).
                                address_line_2:
                                  type: string
                                  description: The secondary address line (MAX 255; MIN 1).
                                city:
                                  type: string
                                  description: >-
                                    The city considered for the address (MAX
                                    255; MIN 3).
                                country:
                                  type: string
                                  description: >-
                                    The country (MAX 2; MIN 2; [ISO
                                    3166-1](country-reference)).
                                  enum:
                                    - AR
                                    - BO
                                    - BR
                                    - CL
                                    - CO
                                    - CR
                                    - EC
                                    - SV
                                    - GT
                                    - HN
                                    - MX
                                    - NI
                                    - PA
                                    - PY
                                    - PE
                                    - US
                                    - UY
                                    - ''
                                state:
                                  type: string
                                  description: >-
                                    The state/province from the address (MAX
                                    255; MIN 3).
                                zip_code:
                                  type: string
                                  description: The zipcode for the address (MAX 11; MIN 4).
                        wallet:
                          type: object
                          description: Wallet details to make the withdrawal.
                          properties:
                            code:
                              type: string
                              description: >-
                                Beneficiary's wallet account identification code
                                (MAX 3; MIN 250)
                            email:
                              type: string
                              description: The Beneficiary's email (MAX 255; MIN 3)
                            country:
                              type: string
                              description: >-
                                The Beneficiary's country  (ISO 3166-1 MAX 2;
                                MIN 2)
                            document:
                              type: object
                              description: >-
                                Wallet's owner national document associated to
                                the withdrawal account.
                              required:
                                - document_number
                              properties:
                                document_number:
                                  type: string
                                  description: The document number (MAX 40; MIN 3).
                                document_type:
                                  type: string
                                  description: >-
                                    Document type (MAX 6, MIN 1; [Country
                                    reference](country-reference)).
                                  enum:
                                    - DNI
                                    - CI
                                    - LC
                                    - LE
                                    - CUIT
                                    - CUIL
                                    - PAS
                                    - CPF
                                    - RG
                                    - CNH
                                    - CNPJ
                                    - RUT
                                    - RUN
                                    - CC
                                    - CE
                                    - NIT
                                    - DUI
                                    - PIC
                                    - DPI
                                    - IFR
                                    - INE
                                    - CP
                                    - RFC
                                    - CURP
                                    - CIP
                                    - CIC
                                    - CUI
                                    - RUC
                            phone:
                              type: object
                              description: >-
                                Wallet's owner phone associated to the
                                withdrawal account.
                              properties:
                                country_code:
                                  type: string
                                  description: >-
                                    The country calling code of the phone (MAX
                                    3; MIN 1).  Check the [Country
                                    reference](country-reference) to see the
                                    phone codes.
                                number:
                                  type: string
                                  description: >-
                                    The phone number, without the country code
                                    (MAX 32; MIN 1).
                metadata:
                  type: array
                  description: >-
                    Specifies a list of metadata objects. You can add up to 50
                    metadata objects.
                  items:
                    properties:
                      key:
                        type: string
                        description: The metadata key (MAX 48; MIN 1).
                      value:
                        type: string
                        description: The metadata key value (MAX 512; MIN 1).
                    type: object
            examples:
              Wallet Payout:
                value:
                  account_id: '{{account_id}}'
                  merchant_reference: MR-Test-123
                  description: Test
                  country: US
                  purpose: EXPENSES
                  amount:
                    currency: USD
                    value: 100
                  beneficiary:
                    merchant_beneficiary_id: test_merchant_deposit_id
                    country: US
                    national_entity: INDIVIDUAL
                    first_name: John
                    last_name: Doe
                    legal_name: John Doe
                    email: john.doe@email.com
                    date_of_birth: '1980-01-01'
                    document:
                      document_type: SSN
                      document_number: 123-45-6789
                    phone:
                      country_code: '1'
                      number: '1234567890'
                    address:
                      address_line_1: 123 Main St
                      address_line_2: Apt 1
                      city: New York
                      state: NY
                      zip_code: '10001'
                      country: US
                  withdrawal_method:
                    type: WALLET
                    provider_id: NEQUI
                    detail:
                      wallet:
                        code: h15sg84U6rCl
                  metadata:
                    - key: key1
                      value: value1
                    - key: key2
                      value: value2
              Wallet - AstroPay - Phone:
                value:
                  account_id: '{{account_id}}'
                  merchant_reference: MR-12345
                  country: BR
                  purpose: EXPENSES
                  amount:
                    currency: BRL
                    value: 10.01
                  beneficiary:
                    merchant_beneficiary_id: test_merchant_deposit_id_10
                    country: BR
                  withdrawal_method:
                    type: ASTROPAY_PAYOUT
                    provider_id: ASTROPAY
                    detail:
                      wallet:
                        phone:
                          number: '987654321'
                          country_code: '55'
              Wallet - AstroPay - Account:
                value:
                  account_id: '{{account_id}}'
                  merchant_reference: MR-12345
                  country: BR
                  purpose: EXPENSES
                  amount:
                    currency: BRL
                    value: 10.01
                  beneficiary:
                    merchant_beneficiary_id: test_merchant_deposit_id_10
                    country: BR
                  withdrawal_method:
                    type: ASTROPAY_PAYOUT
                    provider_id: ASTROPAY
                    detail:
                      wallet:
                        code: '{{beneficiary-provider-account-code}}'
              Wallet - PayPal - Account:
                value:
                  account_id: '{{account_id}}'
                  merchant_reference: MR-Test-12345
                  description: Test
                  country: BR
                  purpose: EXPENSES
                  amount:
                    currency: USD
                    value: 10
                  beneficiary:
                    merchant_beneficiary_id: AA01
                    country: BR
                  withdrawal_method:
                    type: PAYPAL_PAYOUT
                    provider_id: PAYPAL
                    detail:
                      wallet:
                        code: XMBXXFEMM22ML
                  metadata:
                    - key: key1
                      value: value1
                summary: Wallet - PayPal - Account
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 5223d101-0019-43d3-92cb-5c23391a7410
                    account_id: f7c5fe77-721b-49c2-84d3-957748df3c2c
                    status: SUCCEEDED
                    merchant_reference: MR-Test-123
                    purpose: EXPENSES
                    country: BR
                    description: Test
                    amount:
                      currency: BRL
                      value: 100
                    beneficiary:
                      merchant_beneficiary_id: test_merchant_deposit_id
                      national_entity: INDIVIDUAL
                      first_name: John
                      last_name: Doe
                      legal_name: John Doe
                      email: john.doe@email.com
                      country: BR
                      date_of_birth: '1980-01-01'
                      document:
                        document_type: CPF
                        document_number: '123456789'
                      phone:
                        country_code: '55'
                        number: '1234567890'
                      address:
                        address_line_1: 123 Main St
                        address_line_2: Apt 1
                        country: US
                        state: NY
                        city: New York
                        zip_code: '10001'
                    metadata: []
                    created_at: '2024-05-27T15:12:22.712914616Z'
                    updated_at: '2024-05-27T15:12:22.712916116Z'
                    transactions:
                      - id: f0642eb0-31cb-44bc-9dc6-03d55ff4d664
                        status: SUCCEEDED
                        type: PAYOUT
                        response_code: SUCCEEDED
                        merchant_reference: ''
                        purpose: ''
                        description: Test
                        amount:
                          currency: BRL
                          value: 100
                        withdrawal_method:
                          type: ASTROPAY_PAYOUT
                          detail:
                            bank_transfer: null
                            wallet:
                              code: h15sg84U6rCl
                              email: null
                              country: null
                              document: null
                              phone: null
                        provider_data:
                          id: ASTROPAY
                          transaction_id: '32373'
                          account_id: ''
                          beneficiary_id: test_merchant_deposit_id
                          status: APPROVED
                          status_detail: APPROVED
                          raw_response: |-
                            {
                              "cashout_id" : 32373,
                              "merchant_cashout_id" : "f0642eb0-31cb-44bc-9dc6-03d55ff4d664",
                              "status" : "APPROVED",
                              "user_id" : "h15sg84U6rCl"
                            }
                        created_at: '2024-05-27T15:12:23.022588031Z'
                        updated_at: '2024-05-27T15:12:23.022588361Z'
                Payout - Pending:
                  value:
                    id: 64bc81c3-928f-45bf-af97-f3772238627b
                    account_id: f7c5fe77-721b-49c2-84d3-957748df3c2c
                    status: PENDING
                    merchant_reference: MR-12345
                    purpose: EXPENSES
                    country: BR
                    description: null
                    amount:
                      currency: BRL
                      value: 10.01
                    beneficiary:
                      merchant_beneficiary_id: test_merchant_deposit_id_10
                      national_entity: null
                      first_name: null
                      last_name: null
                      legal_name: null
                      email: null
                      country: BR
                      date_of_birth: null
                      document: null
                      phone: null
                      address: null
                    metadata: []
                    created_at: '2024-05-27T14:49:10.215801437Z'
                    updated_at: '2024-05-27T14:49:10.215801717Z'
                    transactions:
                      - id: abff6234-7617-44fb-9958-98b2105274b1
                        status: PENDING
                        type: PAYOUT
                        response_code: PENDING_PROVIDER_CONFIRMATION
                        merchant_reference: ''
                        purpose: ''
                        description: null
                        amount:
                          currency: BRL
                          value: 10.01
                        withdrawal_method:
                          type: ASTROPAY_PAYOUT
                          detail:
                            bank_transfer: null
                            wallet:
                              code: null
                              email: null
                              country: null
                              document: null
                              phone:
                                country_code: '55'
                                number: '987654321'
                        provider_data:
                          id: ASTROPAY
                          transaction_id: '32368'
                          account_id: ''
                          beneficiary_id: test_merchant_deposit_id_10
                          status: PENDING
                          status_detail: PENDING
                          raw_response: |-
                            {
                              "cashout_id" : 32368,
                              "merchant_cashout_id" : "abff6234-7617-44fb-9958-98b2105274b1",
                              "status" : "PENDING"
                            }
                        created_at: '2024-05-27T14:49:10.916986279Z'
                        updated_at: '2024-05-27T14:49:10.916987669Z'
                Payout - Succeeded:
                  value:
                    id: 72ec87c6-8124-4638-9333-6537d057fef5
                    account_id: f7c5fe77-721b-49c2-84d3-957748df3c2c
                    status: SUCCEEDED
                    merchant_reference: MR-12345
                    purpose: EXPENSES
                    country: BR
                    description: null
                    amount:
                      currency: BRL
                      value: 100
                    beneficiary:
                      merchant_beneficiary_id: test_merchant_deposit_id
                      national_entity: null
                      first_name: null
                      last_name: null
                      legal_name: null
                      email: null
                      country: BR
                      date_of_birth: null
                      document: null
                      phone: null
                      address: null
                    metadata: []
                    created_at: '2024-05-27T15:03:35.353595038Z'
                    updated_at: '2024-05-27T15:03:35.353596398Z'
                    transactions:
                      - id: 7f0e69dd-cc0d-437a-b99a-05a0bfbfd9ca
                        status: SUCCEEDED
                        type: PAYOUT
                        response_code: SUCCEEDED
                        merchant_reference: ''
                        purpose: ''
                        description: null
                        amount:
                          currency: BRL
                          value: 100
                        withdrawal_method:
                          type: ASTROPAY_PAYOUT
                          detail:
                            bank_transfer: null
                            wallet:
                              code: h15sg84U6rCl
                              email: null
                              country: null
                              document: null
                              phone: null
                        provider_data:
                          id: ASTROPAY
                          transaction_id: '32371'
                          account_id: ''
                          beneficiary_id: test_merchant_deposit_id
                          status: APPROVED
                          status_detail: APPROVED
                          raw_response: |-
                            {
                              "cashout_id" : 32371,
                              "merchant_cashout_id" : "7f0e69dd-cc0d-437a-b99a-05a0bfbfd9ca",
                              "status" : "APPROVED",
                              "user_id" : "h15sg84U6rCl"
                            }
                        created_at: '2024-05-27T15:03:35.768162244Z'
                        updated_at: '2024-05-27T15:03:35.768162864Z'
                Payout - Declined:
                  value:
                    id: 57b0f7b9-1885-48d4-bb75-6a4fd645a64f
                    account_id: f7c5fe77-721b-49c2-84d3-957748df3c2c
                    status: DECLINED
                    merchant_reference: MR-12345
                    purpose: EXPENSES
                    country: BR
                    description: null
                    amount:
                      currency: BRL
                      value: 0
                    beneficiary:
                      merchant_beneficiary_id: test_merchant_deposit_id
                      national_entity: null
                      first_name: null
                      last_name: null
                      legal_name: null
                      email: null
                      country: US
                      date_of_birth: null
                      document: null
                      phone: null
                      address: null
                    metadata: []
                    created_at: '2024-05-27T15:05:10.957146047Z'
                    updated_at: '2024-05-27T15:05:10.957147867Z'
                    transactions:
                      - id: 54afddd3-4af4-458c-b57c-4909e1cfbcfd
                        status: DECLINED
                        type: PAYOUT
                        response_code: INVALID_REQUEST
                        merchant_reference: ''
                        purpose: ''
                        description: null
                        amount:
                          currency: BRL
                          value: 0
                        withdrawal_method:
                          type: ASTROPAY_PAYOUT
                          detail:
                            bank_transfer: null
                            wallet:
                              code: h15sg84U6rCl
                              email: null
                              country: null
                              document: null
                              phone: null
                        provider_data:
                          id: ASTROPAY
                          transaction_id: ''
                          account_id: ''
                          beneficiary_id: test_merchant_deposit_id
                          status: commons_invalid_request
                          status_detail: 'Errors. amount :: must be greater than 0'
                          raw_response: |-
                            {
                              "error" : "commons_invalid_request",
                              "description" : "Errors. amount :: must be greater than 0"
                            }
                        created_at: '2024-05-27T15:05:11.559306917Z'
                        updated_at: '2024-05-27T15:05:11.559307247Z'
                Payout - Pending - Paypal:
                  value:
                    id: 6509a7bb-e3ff-4def-b056-c4f4407d73c0
                    account_id: f7c5fe77-721b-49c2-84d3-957748df3c2c
                    status: PENDING
                    merchant_reference: MR-Test-12345
                    purpose: EXPENSES
                    country: BR
                    description: Test
                    amount:
                      currency: USD
                      value: 10
                    beneficiary:
                      merchant_beneficiary_id: AA01
                      national_entity: null
                      first_name: null
                      last_name: null
                      legal_name: null
                      email: null
                      country: BR
                      date_of_birth: null
                      document: null
                      phone: null
                      address: null
                    metadata:
                      - key: key1
                        value: value1
                    transactions:
                      - id: 7ac96c45-1242-426b-9d08-61c9e29750a2
                        status: PENDING
                        type: PAYOUT
                        response_code: PENDING_PROVIDER_CONFIRMATION
                        merchant_reference: MR-Test-12345
                        purpose: EXPENSES
                        description: Test
                        amount:
                          currency: USD
                          value: 10
                        withdrawal_method:
                          type: PAYPAL_PAYOUT
                          provider_id: PAYPAL
                          original_transaction_id: null
                          detail:
                            bank_transfer: null
                            wallet:
                              code: XMBXXFEMM22ML
                              email: null
                              country: null
                              document: null
                              phone: null
                        provider_data:
                          id: PAYPAL
                          transaction_id: 8SM8JP8UCM6E2
                          account_id: ''
                          beneficiary_id: AA01
                          status: PENDING
                          status_detail: 'Batch Status: PENDING, Item Status: PENDING'
                          raw_response: >-
                            {"batch_header":{"payout_batch_id":"8SM8JP8UCM6E2","batch_status":"PENDING","time_created":"2024-11-22T12:29:56Z","sender_batch_header":{"sender_batch_id":"7ac96c45-1242-426b-9d08-61c9e29750a2","email_subject":"Payout
                            from
                            nicolas_mana_20230104123227380452","email_message":"Test"},"funding_source":"BALANCE","amount":{"currency":"USD","value":"10.00"},"fees":{"currency":"USD","value":"0.25"}},"items":[{"payout_item_id":"999RNFY7XEKMY","transaction_status":"PENDING","payout_item_fee":{"currency":"USD","value":"0.25"},"payout_batch_id":"8SM8JP8UCM6E2","payout_item":{"recipient_type":"PAYPAL_ID","amount":{"currency":"USD","value":"10.00"},"note":"Test","receiver":"XMBXXFEMM22ML","sender_item_id":"MR-Test-12345","recipient_wallet":"PAYPAL","purpose":"GOODS"},"links":[{"href":"https://api.sandbox.paypal.com/v1/payments/payouts-item/999RNFY7XEKMY","rel":"item","method":"GET","encType":"application/json"}]}],"links":[{"href":"https://api.sandbox.paypal.com/v1/payments/payouts/8SM8JP8UCM6E2?page_size=1000&page=1","rel":"self","method":"GET","encType":"application/json"}]}
                        created_at: '2024-11-22T12:29:54.640135912Z'
                        updated_at: '2024-11-22T12:29:54.640137783Z'
                    created_at: '2024-11-22T12:29:51.436108161Z'
                    updated_at: '2024-11-22T12:29:51.436110603Z'
              schema:
                oneOf:
                  - type: object
                    properties:
                      id:
                        type: string
                        example: 5223d101-0019-43d3-92cb-5c23391a7410
                      account_id:
                        type: string
                        example: f7c5fe77-721b-49c2-84d3-957748df3c2c
                      status:
                        type: string
                        example: SUCCEEDED
                      merchant_reference:
                        type: string
                        example: MR-Test-123
                      purpose:
                        type: string
                        example: EXPENSES
                      country:
                        type: string
                        example: BR
                      description:
                        type: string
                        example: Test
                      amount:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: BRL
                          value:
                            type: integer
                            example: 100
                            default: 0
                      beneficiary:
                        type: object
                        properties:
                          merchant_beneficiary_id:
                            type: string
                            example: test_merchant_deposit_id
                          national_entity:
                            type: string
                            example: INDIVIDUAL
                          first_name:
                            type: string
                            example: John
                          last_name:
                            type: string
                            example: Doe
                          legal_name:
                            type: string
                            example: John Doe
                          email:
                            type: string
                            example: john.doe@email.com
                          country:
                            type: string
                            example: BR
                          date_of_birth:
                            type: string
                            example: '1980-01-01'
                          document:
                            type: object
                            properties:
                              document_type:
                                type: string
                                example: CPF
                              document_number:
                                type: string
                                example: '123456789'
                          phone:
                            type: object
                            properties:
                              country_code:
                                type: string
                                example: '55'
                              number:
                                type: string
                                example: '1234567890'
                          address:
                            type: object
                            properties:
                              address_line_1:
                                type: string
                                example: 123 Main St
                              address_line_2:
                                type: string
                                example: Apt 1
                              country:
                                type: string
                                example: US
                              state:
                                type: string
                                example: NY
                              city:
                                type: string
                                example: New York
                              zip_code:
                                type: string
                                example: '10001'
                      metadata:
                        type: array
                      created_at:
                        type: string
                        example: '2024-05-27T15:12:22.712914616Z'
                      updated_at:
                        type: string
                        example: '2024-05-27T15:12:22.712916116Z'
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: f0642eb0-31cb-44bc-9dc6-03d55ff4d664
                            status:
                              type: string
                              example: SUCCEEDED
                            type:
                              type: string
                              example: PAYOUT
                            response_code:
                              type: string
                              example: SUCCEEDED
                            merchant_reference:
                              type: string
                              example: ''
                            purpose:
                              type: string
                              example: ''
                            description:
                              type: string
                              example: Test
                            amount:
                              type: object
                              properties:
                                currency:
                                  type: string
                                  example: BRL
                                value:
                                  type: integer
                                  example: 100
                                  default: 0
                            withdrawal_method:
                              type: object
                              properties:
                                type:
                                  type: string
                                  example: ASTROPAY_PAYOUT
                                detail:
                                  type: object
                                  properties:
                                    bank_transfer: {}
                                    wallet:
                                      type: object
                                      properties:
                                        code:
                                          type: string
                                          example: h15sg84U6rCl
                                        email: {}
                                        country: {}
                                        document: {}
                                        phone: {}
                            provider_data:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: ASTROPAY
                                transaction_id:
                                  type: string
                                  example: '32373'
                                account_id:
                                  type: string
                                  example: ''
                                beneficiary_id:
                                  type: string
                                  example: test_merchant_deposit_id
                                status:
                                  type: string
                                  example: APPROVED
                                status_detail:
                                  type: string
                                  example: APPROVED
                                raw_response:
                                  type: string
                                  example: |-
                                    {
                                      "cashout_id" : 32373,
                                      "merchant_cashout_id" : "f0642eb0-31cb-44bc-9dc6-03d55ff4d664",
                                      "status" : "APPROVED",
                                      "user_id" : "h15sg84U6rCl"
                                    }
                            created_at:
                              type: string
                              example: '2024-05-27T15:12:23.022588031Z'
                            updated_at:
                              type: string
                              example: '2024-05-27T15:12:23.022588361Z'
                  - title: Payout - Pending
                    type: object
                    properties:
                      id:
                        type: string
                        example: 64bc81c3-928f-45bf-af97-f3772238627b
                      account_id:
                        type: string
                        example: f7c5fe77-721b-49c2-84d3-957748df3c2c
                      status:
                        type: string
                        example: PENDING
                      merchant_reference:
                        type: string
                        example: MR-12345
                      purpose:
                        type: string
                        example: EXPENSES
                      country:
                        type: string
                        example: BR
                      description: {}
                      amount:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: BRL
                          value:
                            type: number
                            example: 10.01
                            default: 0
                      beneficiary:
                        type: object
                        properties:
                          merchant_beneficiary_id:
                            type: string
                            example: test_merchant_deposit_id_10
                          national_entity: {}
                          first_name: {}
                          last_name: {}
                          legal_name: {}
                          email: {}
                          country:
                            type: string
                            example: BR
                          date_of_birth: {}
                          document: {}
                          phone: {}
                          address: {}
                      metadata:
                        type: array
                      created_at:
                        type: string
                        example: '2024-05-27T14:49:10.215801437Z'
                      updated_at:
                        type: string
                        example: '2024-05-27T14:49:10.215801717Z'
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: abff6234-7617-44fb-9958-98b2105274b1
                            status:
                              type: string
                              example: PENDING
                            type:
                              type: string
                              example: PAYOUT
                            response_code:
                              type: string
                              example: PENDING_PROVIDER_CONFIRMATION
                            merchant_reference:
                              type: string
                              example: ''
                            purpose:
                              type: string
                              example: ''
                            description: {}
                            amount:
                              type: object
                              properties:
                                currency:
                                  type: string
                                  example: BRL
                                value:
                                  type: number
                                  example: 10.01
                                  default: 0
                            withdrawal_method:
                              type: object
                              properties:
                                type:
                                  type: string
                                  example: ASTROPAY_PAYOUT
                                detail:
                                  type: object
                                  properties:
                                    bank_transfer: {}
                                    wallet:
                                      type: object
                                      properties:
                                        code: {}
                                        email: {}
                                        country: {}
                                        document: {}
                                        phone:
                                          type: object
                                          properties:
                                            country_code:
                                              type: string
                                              example: '55'
                                            number:
                                              type: string
                                              example: '987654321'
                            provider_data:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: ASTROPAY
                                transaction_id:
                                  type: string
                                  example: '32368'
                                account_id:
                                  type: string
                                  example: ''
                                beneficiary_id:
                                  type: string
                                  example: test_merchant_deposit_id_10
                                status:
                                  type: string
                                  example: PENDING
                                status_detail:
                                  type: string
                                  example: PENDING
                                raw_response:
                                  type: string
                                  example: |-
                                    {
                                      "cashout_id" : 32368,
                                      "merchant_cashout_id" : "abff6234-7617-44fb-9958-98b2105274b1",
                                      "status" : "PENDING"
                                    }
                            created_at:
                              type: string
                              example: '2024-05-27T14:49:10.916986279Z'
                            updated_at:
                              type: string
                              example: '2024-05-27T14:49:10.916987669Z'
                  - title: Payout - Succeeded
                    type: object
                    properties:
                      id:
                        type: string
                        example: 72ec87c6-8124-4638-9333-6537d057fef5
                      account_id:
                        type: string
                        example: f7c5fe77-721b-49c2-84d3-957748df3c2c
                      status:
                        type: string
                        example: SUCCEEDED
                      merchant_reference:
                        type: string
                        example: MR-12345
                      purpose:
                        type: string
                        example: EXPENSES
                      country:
                        type: string
                        example: BR
                      description: {}
                      amount:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: BRL
                          value:
                            type: integer
                            example: 100
                            default: 0
                      beneficiary:
                        type: object
                        properties:
                          merchant_beneficiary_id:
                            type: string
                            example: test_merchant_deposit_id
                          national_entity: {}
                          first_name: {}
                          last_name: {}
                          legal_name: {}
                          email: {}
                          country:
                            type: string
                            example: BR
                          date_of_birth: {}
                          document: {}
                          phone: {}
                          address: {}
                      metadata:
                        type: array
                      created_at:
                        type: string
                        example: '2024-05-27T15:03:35.353595038Z'
                      updated_at:
                        type: string
                        example: '2024-05-27T15:03:35.353596398Z'
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: 7f0e69dd-cc0d-437a-b99a-05a0bfbfd9ca
                            status:
                              type: string
                              example: SUCCEEDED
                            type:
                              type: string
                              example: PAYOUT
                            response_code:
                              type: string
                              example: SUCCEEDED
                            merchant_reference:
                              type: string
                              example: ''
                            purpose:
                              type: string
                              example: ''
                            description: {}
                            amount:
                              type: object
                              properties:
                                currency:
                                  type: string
                                  example: BRL
                                value:
                                  type: integer
                                  example: 100
                                  default: 0
                            withdrawal_method:
                              type: object
                              properties:
                                type:
                                  type: string
                                  example: ASTROPAY_PAYOUT
                                detail:
                                  type: object
                                  properties:
                                    bank_transfer: {}
                                    wallet:
                                      type: object
                                      properties:
                                        code:
                                          type: string
                                          example: h15sg84U6rCl
                                        email: {}
                                        country: {}
                                        document: {}
                                        phone: {}
                            provider_data:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: ASTROPAY
                                transaction_id:
                                  type: string
                                  example: '32371'
                                account_id:
                                  type: string
                                  example: ''
                                beneficiary_id:
                                  type: string
                                  example: test_merchant_deposit_id
                                status:
                                  type: string
                                  example: APPROVED
                                status_detail:
                                  type: string
                                  example: APPROVED
                                raw_response:
                                  type: string
                                  example: |-
                                    {
                                      "cashout_id" : 32371,
                                      "merchant_cashout_id" : "7f0e69dd-cc0d-437a-b99a-05a0bfbfd9ca",
                                      "status" : "APPROVED",
                                      "user_id" : "h15sg84U6rCl"
                                    }
                            created_at:
                              type: string
                              example: '2024-05-27T15:03:35.768162244Z'
                            updated_at:
                              type: string
                              example: '2024-05-27T15:03:35.768162864Z'
                  - title: Payout - Declined
                    type: object
                    properties:
                      id:
                        type: string
                        example: 57b0f7b9-1885-48d4-bb75-6a4fd645a64f
                      account_id:
                        type: string
                        example: f7c5fe77-721b-49c2-84d3-957748df3c2c
                      status:
                        type: string
                        example: DECLINED
                      merchant_reference:
                        type: string
                        example: MR-12345
                      purpose:
                        type: string
                        example: EXPENSES
                      country:
                        type: string
                        example: BR
                      description: {}
                      amount:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: BRL
                          value:
                            type: integer
                            example: 0
                            default: 0
                      beneficiary:
                        type: object
                        properties:
                          merchant_beneficiary_id:
                            type: string
                            example: test_merchant_deposit_id
                          national_entity: {}
                          first_name: {}
                          last_name: {}
                          legal_name: {}
                          email: {}
                          country:
                            type: string
                            example: US
                          date_of_birth: {}
                          document: {}
                          phone: {}
                          address: {}
                      metadata:
                        type: array
                      created_at:
                        type: string
                        example: '2024-05-27T15:05:10.957146047Z'
                      updated_at:
                        type: string
                        example: '2024-05-27T15:05:10.957147867Z'
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: 54afddd3-4af4-458c-b57c-4909e1cfbcfd
                            status:
                              type: string
                              example: DECLINED
                            type:
                              type: string
                              example: PAYOUT
                            response_code:
                              type: string
                              example: INVALID_REQUEST
                            merchant_reference:
                              type: string
                              example: ''
                            purpose:
                              type: string
                              example: ''
                            description: {}
                            amount:
                              type: object
                              properties:
                                currency:
                                  type: string
                                  example: BRL
                                value:
                                  type: integer
                                  example: 0
                                  default: 0
                            withdrawal_method:
                              type: object
                              properties:
                                type:
                                  type: string
                                  example: ASTROPAY_PAYOUT
                                detail:
                                  type: object
                                  properties:
                                    bank_transfer: {}
                                    wallet:
                                      type: object
                                      properties:
                                        code:
                                          type: string
                                          example: h15sg84U6rCl
                                        email: {}
                                        country: {}
                                        document: {}
                                        phone: {}
                            provider_data:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: ASTROPAY
                                transaction_id:
                                  type: string
                                  example: ''
                                account_id:
                                  type: string
                                  example: ''
                                beneficiary_id:
                                  type: string
                                  example: test_merchant_deposit_id
                                status:
                                  type: string
                                  example: commons_invalid_request
                                status_detail:
                                  type: string
                                  example: 'Errors. amount :: must be greater than 0'
                                raw_response:
                                  type: string
                                  example: |-
                                    {
                                      "error" : "commons_invalid_request",
                                      "description" : "Errors. amount :: must be greater than 0"
                                    }
                            created_at:
                              type: string
                              example: '2024-05-27T15:05:11.559306917Z'
                            updated_at:
                              type: string
                              example: '2024-05-27T15:05:11.559307247Z'
                  - title: Payout - Pending - Paypal
                    type: object
                    properties:
                      id:
                        type: string
                        example: 6509a7bb-e3ff-4def-b056-c4f4407d73c0
                      account_id:
                        type: string
                        example: f7c5fe77-721b-49c2-84d3-957748df3c2c
                      status:
                        type: string
                        example: PENDING
                      merchant_reference:
                        type: string
                        example: MR-Test-12345
                      purpose:
                        type: string
                        example: EXPENSES
                      country:
                        type: string
                        example: BR
                      description:
                        type: string
                        example: Test
                      amount:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          value:
                            type: integer
                            example: 10
                            default: 0
                      beneficiary:
                        type: object
                        properties:
                          merchant_beneficiary_id:
                            type: string
                            example: AA01
                          national_entity: {}
                          first_name: {}
                          last_name: {}
                          legal_name: {}
                          email: {}
                          country:
                            type: string
                            example: BR
                          date_of_birth: {}
                          document: {}
                          phone: {}
                          address: {}
                      metadata:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                              example: key1
                            value:
                              type: string
                              example: value1
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: 7ac96c45-1242-426b-9d08-61c9e29750a2
                            status:
                              type: string
                              example: PENDING
                            type:
                              type: string
                              example: PAYOUT
                            response_code:
                              type: string
                              example: PENDING_PROVIDER_CONFIRMATION
                            merchant_reference:
                              type: string
                              example: MR-Test-12345
                            purpose:
                              type: string
                              example: EXPENSES
                            description:
                              type: string
                              example: Test
                            amount:
                              type: object
                              properties:
                                currency:
                                  type: string
                                  example: USD
                                value:
                                  type: integer
                                  example: 10
                                  default: 0
                            withdrawal_method:
                              type: object
                              properties:
                                type:
                                  type: string
                                  example: PAYPAL_PAYOUT
                                provider_id:
                                  type: string
                                  example: PAYPAL
                                original_transaction_id: {}
                                detail:
                                  type: object
                                  properties:
                                    bank_transfer: {}
                                    wallet:
                                      type: object
                                      properties:
                                        code:
                                          type: string
                                          example: XMBXXFEMM22ML
                                        email: {}
                                        country: {}
                                        document: {}
                                        phone: {}
                            provider_data:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: PAYPAL
                                transaction_id:
                                  type: string
                                  example: 8SM8JP8UCM6E2
                                account_id:
                                  type: string
                                  example: ''
                                beneficiary_id:
                                  type: string
                                  example: AA01
                                status:
                                  type: string
                                  example: PENDING
                                status_detail:
                                  type: string
                                  example: 'Batch Status: PENDING, Item Status: PENDING'
                                raw_response:
                                  type: string
                                  example: >-
                                    {"batch_header":{"payout_batch_id":"8SM8JP8UCM6E2","batch_status":"PENDING","time_created":"2024-11-22T12:29:56Z","sender_batch_header":{"sender_batch_id":"7ac96c45-1242-426b-9d08-61c9e29750a2","email_subject":"Payout
                                    from
                                    nicolas_mana_20230104123227380452","email_message":"Test"},"funding_source":"BALANCE","amount":{"currency":"USD","value":"10.00"},"fees":{"currency":"USD","value":"0.25"}},"items":[{"payout_item_id":"999RNFY7XEKMY","transaction_status":"PENDING","payout_item_fee":{"currency":"USD","value":"0.25"},"payout_batch_id":"8SM8JP8UCM6E2","payout_item":{"recipient_type":"PAYPAL_ID","amount":{"currency":"USD","value":"10.00"},"note":"Test","receiver":"XMBXXFEMM22ML","sender_item_id":"MR-Test-12345","recipient_wallet":"PAYPAL","purpose":"GOODS"},"links":[{"href":"https://api.sandbox.paypal.com/v1/payments/payouts-item/999RNFY7XEKMY","rel":"item","method":"GET","encType":"application/json"}]}],"links":[{"href":"https://api.sandbox.paypal.com/v1/payments/payouts/8SM8JP8UCM6E2?page_size=1000&page=1","rel":"self","method":"GET","encType":"application/json"}]}
                            created_at:
                              type: string
                              example: '2024-11-22T12:29:54.640135912Z'
                            updated_at:
                              type: string
                              example: '2024-11-22T12:29:54.640137783Z'
                      created_at:
                        type: string
                        example: '2024-11-22T12:29:51.436108161Z'
                      updated_at:
                        type: string
                        example: '2024-11-22T12:29:51.436110603Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
                  summary: Bad Request
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````